Modify

Opened 5 years ago

Closed 4 years ago

Last modified 4 years ago

#12948 closed defect (worksforme)

Drivers Wifi Atheros - OK for 12.0.9beta - FAILS for (12.0.9beta2) and (rc1)

Reported by: w4rh4ck3r-openwrt@… Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: packages Version: Attitude Adjustment 12.09 Beta
Keywords: driver atheros fail Cc:

Description

  • Ubiquiti RouterStation (and RouterStation Pro);
  • Mini PCI Ubiquiti SR5 (Atheros, 4th Generation, AR5213);
  • Mini PCI Ubiquiti UB5 (Atheros AR5414);

  • "OpenWrt Attitude Adjustment 12.09-beta"

Drivers OK (it recognizes both interfaces WiFi)


  • "OpenWrt Attitude Adjustment 12.09-beta2"
  • "OpenWrt Attitude Adjustment 12.09-rc1"


Drivers FAILS (it doesn't recognize ANY interfaces WiFi)

Attachments (0)

Change History (7)

comment:1 Changed 5 years ago by nbd

please post the output of 'dmesg'

comment:2 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

comment:3 Changed 4 years ago by bradziegler@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

I am having similar issues. I have a Routerstation with two wifi cards. In slot 0, there is a Ubiquiti SR71, which seems to be detected just fine. In slot 1, there is a Ubiquiti SR4, which is not being detected. Changing between versions of 12.09 does not seem to help (even the beta version does not work with the second card).

Here's the output of dmesg:

BusyBox v1.19.4 (2012-10-12 05:19:00 UTC) built-in shell (ash)
Enter 'help' for a list of built-in commands.

_

| |.-----.-----.-----.| | | |.----.| |_

| - |_
_ | -| | | _ _|
|_||| ||

|| W I R E L E S S F R E E D O M

-----------------------------------------------------
ATTITUDE ADJUSTMENT (Attitude Adjustment, r33883)
-----------------------------------------------------

  • 1/4 oz Vodka Pour all ingredients into mixing
  • 1/4 oz Gin tin with ice, strain into glass.
  • 1/4 oz Amaretto
  • 1/4 oz Triple sec
  • 1/4 oz Peach schnapps
  • 1/4 oz Sour mix
  • 1 splash Cranberry juice

-----------------------------------------------------

root@OpenWrt:~# dmesg
[ 0.000000] Linux version 3.3.8 (blogic@Debian-60-squeeze-64-minimal) (gcc ve rsion 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #2 Sat Oct 20 12:31 :22 UTC 2012
[ 0.000000] MyLoader: sysp=00000000, boardp=00000000, parts=ace50014
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[ 0.000000] SoC: Atheros AR7161 rev 2
[ 0.000000] Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.00 0MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 04000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone PFN ranges:
[ 0.000000] Normal 0x00000000 -> 0x00004000
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] Early memory PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x00004000
[ 0.000000] On node 0 totalpages: 16384
[ 0.000000] free_area_init_node: node 0, pgdat 802ef080, node_mem_map 8100000 0
[ 0.000000] Normal zone: 128 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 16256 pages, LIFO batch:3
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pag es: 16256
[ 0.000000] Kernel command line: board=UBNT-RS console=ttyS0,115200 ethaddr= 00.15.6d.c1.ba.43 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[ 0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[ 0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Writing ErrCtl register=00020022
[ 0.000000] Readback ErrCtl register=00020022
[ 0.000000] Memory: 61496k/65536k available (2209k kernel code, 4040k reserve d, 412k data, 212k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, No des=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
[ 0.060000] pid_max: default: 32768 minimum: 301
[ 0.060000] Mount-cache hash table entries: 512
[ 0.070000] NET: Registered protocol family 16
[ 0.070000] gpiochip_add: registered GPIOs 0 to 15 on device: ath79
[ 0.080000] MIPS: machine is Ubiquiti RouterStation
[ 0.380000] registering PCI controller with io_map_base unset
[ 2.690000] bio: create slab <bio-0> at 0
[ 2.690000] PCI host bridge to bus 0000:00
[ 2.700000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x16ffffff]
[ 2.700000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 2.710000] pci 0000:00:11.0: [168c:0027] type 0 class 0x000280
[ 2.710000] pci 0000:00:11.0: reg 10: [mem 0x00000000-0x0000ffff]
[ 2.710000] pci 0000:00:11.0: PME# supported from D0 D3hot
[ 2.710000] pci 0000:00:12.0: [168c:001b] type 0 class 0x000200
[ 2.710000] pci 0000:00:12.0: reg 10: [mem 0x00000000-0x0000ffff]
[ 2.710000] pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
[ 2.710000] pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x1001ffff]
[ 2.720000] pci 0000:00:11.0: using irq 40 for pin 1
[ 2.720000] pci 0000:00:12.0: using irq 41 for pin 1
[ 2.730000] Switching to clocksource MIPS
[ 2.730000] NET: Registered protocol family 2
[ 2.740000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[ 2.740000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[ 2.750000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[ 2.750000] TCP: Hash tables configured (established 2048 bind 2048)
[ 2.760000] TCP reno registered
[ 2.760000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 2.770000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 2.770000] NET: Registered protocol family 1
[ 2.780000] PCI: CLS 0 bytes, default 32
[ 2.790000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 2.800000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY ) (c) 2001-2006 Red Hat, Inc.
[ 2.810000] msgmni has been set to 120
[ 2.810000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 2 54)
[ 2.820000] io scheduler noop registered
[ 2.820000] io scheduler deadline registered (default)
[ 2.830000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 2.860000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 2.870000] console [ttyS0] enabled, bootconsole disabled
[ 2.880000] m25p80 spi0.0: found mx25l12805d, expected m25p80
[ 2.890000] m25p80 spi0.0: mx25l12805d (16384 Kbytes)
[ 2.890000] Searching for RedBoot partition table in spi0.0 at offset 0xfe000 0
[ 2.920000] Searching for RedBoot partition table in spi0.0 at offset 0xff000 0
[ 2.950000] 5 RedBoot partitions found on MTD device spi0.0
[ 2.960000] Creating 5 MTD partitions on "spi0.0":
[ 2.960000] 0x000000000000-0x000000030000 : "RedBoot"
[ 2.970000] 0x000000030000-0x000000120000 : "kernel"
[ 2.980000] 0x000000120000-0x000000ff0000 : "rootfs"
[ 2.980000] mtd: partition "rootfs" set to be root filesystem
[ 2.990000] split_squashfs: no squashfs found in "spi0.0"
[ 2.990000] 0x000000ff0000-0x000000fff000 : "FIS directory"
[ 3.000000] 0x000000fff000-0x000001000000 : "RedBoot config"
[ 3.010000] ag71xx_mdio: probed
[ 3.020000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[ 3.320000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:14 [uid= 03026071, driver=Generic PHY]
[ 3.330000] eth1: Atheros AG71xx at 0xba000000, irq 5
[ 3.640000] TCP cubic registered
[ 3.640000] NET: Registered protocol family 17
[ 3.650000] Bridge firewalling registered
[ 3.650000] 8021q: 802.1Q VLAN Support v1.8
[ 4.550000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x2c00 00
[ 4.550000] jffs2_build_filesystem(): unlocking the mtd device... done.
[ 4.560000] jffs2_build_filesystem(): erasing all blocks after the end marker ... done.
[ 95.870000] JFFS2 notice: (1) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 or phan) found.
[ 95.890000] VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
[ 95.900000] Freeing unused kernel memory: 212k freed
[ 97.430000] Registered led device: ubnt:green:rf
[ 99.320000] ar71xx: pll_reg 0xb8050010: 0x1099
[ 99.320000] eth0: link up (100Mbps/Full duplex)
[ 100.600000] eth0: link down
[ 101.130000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gdda c993
[ 101.140000] Backport based on wireless-testing.git master-2012-09-07
[ 101.140000] compat.git: wireless-testing.git
[ 101.250000] cfg80211: Calling CRDA to update world regulatory domain
[ 101.250000] cfg80211: World regulatory domain updated:
[ 101.260000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gai n, max_eirp)
[ 101.270000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 101.280000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 20 00 mBm)
[ 101.280000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 20 00 mBm)
[ 101.290000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 101.300000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 101.430000] usbcore: registered new interface driver usbfs
[ 101.440000] usbcore: registered new interface driver hub
[ 101.450000] usbcore: registered new device driver usb
[ 101.860000] PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
[ 103.420000] ath: EEPROM regdomain: 0x0
[ 103.420000] ath: EEPROM indicates default country code should be used
[ 103.420000] ath: doing EEPROM country->regdmn map search
[ 103.420000] ath: country maps to regdmn code: 0x3a
[ 103.420000] ath: Country alpha2 being used: US
[ 103.420000] ath: Regpair used: 0x3a
[ 103.440000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[ 103.440000] Registered led device: ath9k-phy0
[ 103.440000] ieee80211 phy0: Atheros AR9160 MAC/BB Rev:0 AR5133 RF Rev:b0 mem= 0xb0000000, irq=40
[ 103.450000] cfg80211: Calling CRDA for country: US
[ 103.450000] cfg80211: Regulatory domain changed to country: US
[ 103.460000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gai n, max_eirp)
[ 103.470000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 27 00 mBm)
[ 103.470000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 17 00 mBm)
[ 103.480000] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 103.490000] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 103.500000] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 20 00 mBm)
[ 103.500000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 30 00 mBm)
[ 103.550000] PPP generic driver version 2.4.2
[ 103.600000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 103.690000] NET: Registered protocol family 24
[ 103.730000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 103.730000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[ 103.740000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[ 103.780000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[ 103.800000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[ 103.800000] hub 1-0:1.0: USB hub found
[ 103.810000] hub 1-0:1.0: 2 ports detected
[ 103.850000] nf_conntrack version 0.5.0 (964 buckets, 3856 max)
[ 104.050000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 104.060000] ohci-platform ohci-platform: Generic Platform OHCI Controller
[ 104.070000] ohci-platform ohci-platform: new USB bus registered, assigned bus number 2
[ 104.070000] ohci-platform ohci-platform: irq 14, io mem 0x1c000000
[ 104.140000] hub 2-0:1.0: USB hub found
[ 104.140000] hub 2-0:1.0: 2 ports detected
[ 106.380000] ar71xx: pll_reg 0xb8050014: 0x1099
[ 106.380000] eth1: link up (100Mbps/Full duplex)
[ 106.390000] device eth1 entered promiscuous mode
[ 106.390000] br-lan: port 1(eth1) entered forwarding state
[ 106.400000] br-lan: port 1(eth1) entered forwarding state
[ 106.450000] ar71xx: pll_reg 0xb8050010: 0x1099
[ 106.450000] eth0: link up (100Mbps/Full duplex)
[ 108.400000] br-lan: port 1(eth1) entered forwarding state
root@OpenWrt:~#

comment:4 Changed 4 years ago by bradziegler@…

I should also add - using the same router with the same hardware configuration, DD-WRT boots up and detects both radios fine. I'm looking to specifically use OpenWrt, though.

comment:5 Changed 4 years ago by bradziegler@…

I fixed my issue by loading kmod_ath9k and kmod_ath5k packages into OpenWRT. Both wireless radios were detected.

Please close this ticket.

comment:6 Changed 4 years ago by nbd

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:7 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.